# rpmgi.h File Reference

`#include <rpm/rpmtypes.h>`
`#include <rpm/argv.h>`

Include dependency graph for rpmgi.h:

Go to the source code of this file.

## Defines
#define | RPMGI_COMFOLLOW 0x0001
| rpmgi FTS-flags
#define | RPMGI_LOGICAL 0x0002
#define | RPMGI_NOCHDIR 0x0004
#define | RPMGI_NOSTAT 0x0008
#define | RPMGI_PHYSICAL 0x0010
#define | RPMGI_SEEDOT 0x0020
#define | RPMGI_XDEV 0x0040
#define | RPMGI_WHITEOUT 0x0080
## Typedefs
typedef enum rpmgiFlags_e | rpmgiFlags
## Enumerations
enum | rpmgiFlags_e { RPMGI_NONE = 0, RPMGI_TSADD = (1 << 0), RPMGI_TSORDER = (1 << 1), RPMGI_NOGLOB = (1 << 2), RPMGI_NOMANIFEST = (1 << 3), RPMGI_NOHEADER = (1 << 4) }
## Functions
rpmgi | rpmgiUnlink (rpmgi gi, const char *msg)
| Unreference a generalized iterator instance.
rpmgi | rpmgiLink (rpmgi gi, const char *msg)
| Reference a generalized iterator instance.
rpmgi | rpmgiFree (rpmgi gi)
| Destroy a generalized iterator.
rpmgi | rpmgiNew (rpmts ts, rpmTag tag, const void *keyp, size_t keylen)
| Return a generalized iterator.
rpmRC | rpmgiNext (rpmgi gi)
| Perform next iteration step.
const char * | rpmgiHdrPath (rpmgi gi)
| Return current header path.
Header | rpmgiHeader (rpmgi gi)
| Return current iteration header.
rpmts | rpmgiTs (rpmgi gi)
| Return current iteration transaction set.
rpmRC | rpmgiSetArgs (rpmgi gi, ARGV_const_t argv, int ftsOpts, rpmgiFlags flags)
| Load iterator args.
rpmgiFlags | rpmgiGetFlags (rpmgi gi)
| Retrieve iterator flags.
int | rpmgiNumErrors (rpmgi gi)
| Return number of errors (file not found etc) encountered during iteration.
## Variables
int | _rpmgi_debug
rpmgiFlags | giFlags

## Detailed Description

Definition in file rpmgi.h.

## Define Documentation

#define RPMGI_LOGICAL 0x0002

Definition at line 34 of file rpmgi.h.

#define RPMGI_NOCHDIR 0x0004

Definition at line 35 of file rpmgi.h.

#define RPMGI_NOSTAT 0x0008

Definition at line 36 of file rpmgi.h.

#define RPMGI_PHYSICAL 0x0010

Definition at line 37 of file rpmgi.h.

#define RPMGI_SEEDOT 0x0020

Definition at line 38 of file rpmgi.h.

#define RPMGI_WHITEOUT 0x0080

Definition at line 40 of file rpmgi.h.

#define RPMGI_XDEV 0x0040

Definition at line 39 of file rpmgi.h.

## Variable Documentation

int _rpmgi_debug

rpmgiFlags giFlags